BasicAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class BasicAttribute

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.MappedAttribute
          org.hibernate.metamodel.source.annotations.attribute.BasicAttribute

All Implemented Interfaces:
  Comparable<MappedAttribute>

    public class BasicAttribute

extends MappedAttribute

Represent a basic attribute (explicitly or implicitly mapped).

Method Summary
`static BasicAttribute` | `createSimpleAttribute(String name, Class<?> attributeType, Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> annotations, String accessType, EntityBindingContext context)`
`String` | `getCheckCondition()`
`String` | `getCustomReadFragment()`
`String` | `getCustomWriteFragment()`
`AttributeTypeResolver` | `getHibernateTypeResolver()`
`IdGenerator` | `getIdGenerator()`
`PropertyGeneration` | `getPropertyGeneration()`
`boolean` | `isInsertable()`
`boolean` | `isLazy()`
`boolean` | `isOptional()`
`boolean` | `isUpdatable()`
`boolean` | `isVersioned()`
`String` | `toString()`

Methods inherited from class org.hibernate.metamodel.source.annotations.attribute.MappedAttribute
`annotations, compareTo, getAccessType, getAttributeType, getColumnValues, getContext, getName, isId, isOptimisticLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createSimpleAttribute

    public static BasicAttribute createSimpleAttribute(String name,
                                                       Class<?> attributeType,
                                                       Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> annotations,
                                                       String accessType,
                                                       EntityBindingContext context)

### isVersioned

    public boolean isVersioned()

### isLazy

    public boolean isLazy()

  Specified by:
    `isLazy` in class `MappedAttribute`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in class `MappedAttribute`

### isInsertable

    public boolean isInsertable()

  Specified by:
    `isInsertable` in class `MappedAttribute`

### isUpdatable

    public boolean isUpdatable()

  Specified by:
    `isUpdatable` in class `MappedAttribute`

### getPropertyGeneration

    public PropertyGeneration getPropertyGeneration()

  Specified by:
    `getPropertyGeneration` in class `MappedAttribute`

### getCustomWriteFragment

    public String getCustomWriteFragment()

### getCustomReadFragment

    public String getCustomReadFragment()

### getCheckCondition

    public String getCheckCondition()

### getIdGenerator

    public IdGenerator getIdGenerator()

### toString

    public String toString()

  Overrides:
    `toString` in class `MappedAttribute`

### getHibernateTypeResolver

    public AttributeTypeResolver getHibernateTypeResolver()

  Specified by:
    `getHibernateTypeResolver` in class `MappedAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.